package gq.unurled.raxen.components.player;

import gq.unurled.raxen.Raxen;
import gq.unurled.raxen.utils.Vault;
import net.kyori.adventure.text.Component;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.scoreboard.DisplaySlot;
import org.bukkit.scoreboard.Objective;
import org.bukkit.scoreboard.Score;
import org.bukkit.scoreboard.ScoreboardManager;

import static gq.unurled.raxen.utils.Utils.color;
import static gq.unurled.raxen.utils.Utils.debug;

public class Scoreboard {

    private Raxen main;
    private Vault vault;

    public Scoreboard(Raxen main) {
        this.main = main;
        this.vault = main.getVault();
    }

    public void createScorebord(Player player) {
        ScoreboardManager manager = Bukkit.getScoreboardManager();
        org.bukkit.scoreboard.Scoreboard board = manager.getNewScoreboard();
        Objective obj = board.registerNewObjective("Raxen","dummy", Component.text(color("&cElixium")));
        obj.setDisplaySlot(DisplaySlot.SIDEBAR);
        Score score = obj.getScore(color("&6-------------"));
        score.setScore(4);
        Score score1 = obj.getScore(color("&bName:" + player.getName()));
        score1.setScore(3);
        Score score2 = obj.getScore(color("&fLocation"));
        score2.setScore(2);
        Score score3 = obj.getScore(color("&6Coins: &6" + vault.getBalanceString(player)));
        score3.setScore(1);
        Score score4 = obj.getScore(color("&eunurled.gq"));
        score4.setScore(0);
        player.setScoreboard(board);
    }

    public void updateScoreboardTransaction(Player player) {
        if(player != null) {
            Objective objective = player.getScoreboard().getObjective(DisplaySlot.SIDEBAR);
            player.getScoreboard().getObjective(DisplaySlot.SIDEBAR);
            debug(main, String.valueOf(player.getScoreboard().getEntries()));
            for (String str : player.getScoreboard().getEntries()) {
                if(str.contains(player.getName())) {

                }
            }
            player.getScoreboard().resetScores("Coins");
            Score score = objective.getScore(color("&6Coins: &6" + vault.getBalanceString(player)));
            score.setScore(1);
        }
    }
}
