package gq.unurled.raxen.listener.player;

import gq.unurled.raxen.Raxen;
import gq.unurled.raxen.config.PlayerConfig;
import gq.unurled.raxen.manager.PlayerManager;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerQuitEvent;

import java.io.IOException;

public class LeaveEvent implements Listener {

    private final PlayerConfig playerConfig;
    private PlayerManager playerManager;

    public LeaveEvent(Raxen main) {
        this.playerConfig = main.getPlayerConfig();
        this.playerManager = main.getPlayerManager();

    }

    @EventHandler
    public void PlayerLeaveEvent(PlayerQuitEvent e) throws IOException {
        Player player = e.getPlayer();
        playerConfig.savePlayerConfig(player);
        playerManager.getRaxenPlayer(player).isRaxenPlayer(false);
        playerManager.unRegisterActionBar(player);
    }
}
